#ifndef _STARSYSTEM_H_
#define _STARSYSTEM_H_

enum SatelliteType { Asteroid, Rock, Gas, Empty, Default };

class Planet{
    public:
    Planet();
    int printPlanet();
    int printPlanetGL(double, double, double);
    int planetNumber;
    double orbitalRadius;
    double orbitalSpeed;
    double rotationalSpeed;
    SatelliteType type;
    double baseCirc;
    int circExponent;
    double density;
    double baseGravity;
    int inStellarEcosphere;
    int paramAtmos;
    int paramHydro;
    int paramClima;
    int paramBiosp;
    };

class StarSystem{
    // functions
    int stellarBodyFrequency();
    int stellarTypeChart();
    int gravityWellFind();
    int hertzprungRusselDiagram();
    int naturalSatelliteDetermination();
    int satelliteCirc();
    int satelliteInfoFind();
    int stellarMassFind();
    int orbitalRadiusFind();
    int satelliteTypeFind();
    int satelliteDensityFind();
    int satelliteGravityFind();
    int satelliteAtmosphereFind();
    int satelliteEnvironmentFind();
    // variables
    char starClass;
    int stellarType;
    int starDescNumber;
    char* starDesc;
    int brightness;
    int naturalSatellites;
    int naturalSatellitesHabitable;
    double brightnessVsSol;
    double radiusVsSol;
    double massVsSol;
    double gravityWell;
    int planetsInEcosphere;
    public:
    StarSystem();
    char starClassGet();
    int stellarTypeGet();
    char* starDescGet();
    int starDescNumberGet();
    int brightnessGet();
    int naturalSatellitesGet();
    int naturalSatellitesHabitableGet();
    double brightnessVsSolGet();
    double radiusVsSolGet();
    double massVsSolGet();
    double gravityWellGet();
    int planetsInEcosphereGet();
    int printStar();
    int printStarGL(double, double, double);
    int createStar();
    int key;

    Planet* planet;
    };

int StarSystem::printStar();

#define sunMin 4318
#define sunMax 431852000
#define planetMin 1600
#define planetMax 140000
//double orbitMin = 3729000;
//double orbitMax = 3729000000;

#define AU 93225000   // one Astronomical Unit = 93,225,000 miles
#define SOL 431852    // The radius of Sol is 431,852 miles



#endif